summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-05-03 23:00:08 +0000
committerZac Medico <zmedico@gentoo.org>2006-05-03 23:00:08 +0000
commit866a2eaa0e298efafb59d4a8e5bd470af13007f3 (patch)
tree768170399a2169f1db0e6c75835f0593ebdc616f
parentc1153b15ff0cb00d54011782e929eb113f9ecb0d (diff)
downloadportage-866a2eaa0e298efafb59d4a8e5bd470af13007f3.tar.gz
portage-866a2eaa0e298efafb59d4a8e5bd470af13007f3.tar.bz2
portage-866a2eaa0e298efafb59d4a8e5bd470af13007f3.zip
Improve the error message when an eclass is not found and remove unnecesary ERRORMSG variable.
svn path=/main/trunk/; revision=3316
-rwxr-xr-xbin/ebuild.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index d9f563a0b..7450a1048 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1169,6 +1169,7 @@ inherit() {
done
fi
debug-print "inherit: $1 -> $location"
+ [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
#We need to back up the value of DEPEND and RDEPEND to B_DEPEND and B_RDEPEND
#(if set).. and then restore them after the inherit call.
@@ -1186,8 +1187,7 @@ inherit() {
#turn on glob expansion
set +f
- source "$location" || export ERRORMSG="died sourcing $location in inherit()"
- [ -z "${ERRORMSG}" ] || die "${ERRORMSG}"
+ source "$location" || die "died sourcing $location in inherit()"
#turn off glob expansion
set -f
@@ -1435,7 +1435,6 @@ if ! hasq depend $EBUILD_PHASE; then
RESTRICT="${PORTAGE_RESTRICT}"
unset PORTAGE_RESTRICT
fi
-[ -z "${ERRORMSG}" ] || die "${ERRORMSG}"
# Expand KEYWORDS
# We need to turn off pathname expansion for -* in KEYWORDS and